Manual do KDE su
Prev |  | Next

# Capítulo 3. Usando o KDE su

O uso do KDE su é fácil. A sintaxe é a seguinte:

       1 $ kdesu [USER] [-ntqd] [-f FILE] -c
       2  COMMAND [ARG1 [ARG2 [...]]]
       3 $ kdesu -v|-h|-s
       4

As opções da linha de comandos são explicadas em baixo.

-c PROGRAM

  Isto especifica que o programa é corrido como root. Tem de ser passado em um argumento. Assim se, por exemplo deseja iniciar um novo gestor de ficheiros, introduziria no prompt:

         1 $ kdesu -c "kfm -sw"
         2

-f FILE

  Esta opção permite um uso eficiente do KDE su nos ficheiros .desktop. Isto diz ao KDE su para examinar o ficheiro especificado por FILE. Se este ficheiro pode ser alterado pelo utilizador corrente, O KDE su executará o comando como utilizador corrente. Se não puder ser alterado, o comando é executado como utilizador USER (por defeito será root).

  FILE é avaliado da seguinte maneira: se FILE começa com um "/", é tomado como um nome de ficheiro absoluto. De outra maneira, é tomado como nome de um ficheiro de configuração global do KDE. Por exemplo: para configurar o gestor de ecrã do KDE, kdm, pode emitir um:

         1 $ kdesu -c kdmconfig -f kdmrc
         2

-t

  Permite enviar para o terminal. Isto desactiva a memorização de passwords. Isto é largamente usado para efeitos de depuração; se deseja executar uma aplicação em modo consola, use o "su" standard.

-n

  Não guardar password. Isto desactiva a caixa de activação "Guardar password", no diálogo da password.

-q

  Silêncio.

-d

  Mostra informação sobre a depuração.

-v

  Imprime informação sobre a versão e sai.

-h

  Mostra alguma ajuda.

-s

  Pára o daemon kdesu. Veja Secção 5.4.

Prev | Home | Next
Compilando |  | Configuração